#

API Docs for: 0.3.35
Show: Inherited Protected Private Deprecated

# DocView Class

Defined in: `lib/docview.js:15`
Module: yuidoc

View class borrowed from Selleck
The view class is a `handlebars` template helper.

## Constructor

### `DocView`

(

- `data`
- `templateName`

)

Defined in `lib/docview.js:15`

#### Parameters:

- `data` Object

  Meta data to use in this template

- `templateName` String

  The name of the template file to render.

- Index
- Methods

## Item Index

### Methods

- htmlTitle
- title

## Methods

### `htmlTitle`

()

Defined in `lib/docview.js:29`

Mustache `lambda` method for setting the HTML title

### `title`

()

Defined in `lib/docview.js:48`

Mustache `lambda` method for setting the title